<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoPhotorequestPhotorequestsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_photorequest_photorequests
         */
        Schema::create('bixo_photorequest_photorequests', function ($table) {
            $table->increments('id');
            $table->string('ref', 50)->nullable();
            $table->string('slug', 200)->nullable();
            $table->integer('photographer_id')->nullable();
            $table->integer('listing_id')->nullable();
            $table->dateTime('start')->nullable();
            $table->dateTime('end')->nullable();
            $table->string('time_slot', 50)->nullable();
            $table->dateTime('photographer_start')->nullable();
            $table->dateTime('photographer_end')->nullable();
            $table->enum('status', ['Yes', 'No'])->nullable();
            $table->tinyInteger('manager_approval')->nullable();
            $table->string('category', 45)->nullable();
            $table->string('sub_category', 45)->nullable();
            $table->string('location', 100)->nullable();
            $table->string('title', 100)->nullable();
            $table->text('details')->nullable();
            $table->text('admin_comments')->nullable();
            $table->string('key_location', 200)->nullable();
            $table->string('access_card', 100)->nullable();
            $table->string('parking_card', 100)->nullable();
            $table->string('key_location_description', 300)->nullable();
            $table->string('access_card_description', 300)->nullable();
            $table->string('parking_card_description', 300)->nullable();
            $table->string('occupancy', 30)->nullable();
            $table->tinyInteger('agent_present')->nullable();
            $table->integer('rejected_id')->nullable();
            $table->dateTime('rejected_at')->nullable();
            $table->string('reject_reason', 60)->nullable();
            $table->text('reject_description')->nullable();
            $table->integer('created_by')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 50)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_photorequest_photorequests');
    }
}
