<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for photorequest in photorequest package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  photorequest module in photorequest package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Photorequest',
    'names' => 'Photorequests',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Photorequests',
        'sub' => 'Photorequests'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'status' => 
            [
                                
                [
                    'key'    => 'New',
                    'value'  => 'New',
                    'text'   => 'New',
                ],
                                
                [
                    'key'    => 'Approved',
                    'value'  => 'Approved',
                    'text'   => 'Approved',
                ],
                                
                [
                    'key'    => 'Pending',
                    'value'  => 'Pending',
                    'text'   => 'Pending',
                ],
                                
                [
                    'key'    => 'Rejected',
                    'value'  => 'Rejected',
                    'text'   => 'Rejected',
                ],
                                
                [
                    'key'    => 'Manager Approval',
                    'value'  => 'Manager Approval',
                    'text'   => 'Manager Approval',
                ],
                                
                [
                    'key'    => 'Admin Approval',
                    'value'  => 'Admin Approval',
                    'text'   => 'Admin Approval',
                ],
                                
                [
                    'key'    => '',
                    'value'  => '',
                    'text'   => '',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'ref'                        => 'Please enter ref',
        'slug'                       => 'Please enter slug',
        'photographer_id'            => 'Please enter photographer id',
        'listing_id'                 => 'Please enter listing id',
        'start'                      => 'Please select start',
        'end'                        => 'Please select end',
        'time_slot'                  => 'Please enter time slot',
        'photographer_start'         => 'Please select photographer start',
        'photographer_end'           => 'Please select photographer end',
        'status'                     => 'Please select status',
        'manager_approval'           => 'Please enter manager approval',
        'category'                   => 'Please enter category',
        'sub_category'               => 'Please enter sub category',
        'location'                   => 'Please enter location',
        'title'                      => 'Please enter title',
        'details'                    => 'Please enter details',
        'admin_comments'             => 'Please enter admin comments',
        'key_location'               => 'Please enter key location',
        'access_card'                => 'Please enter access card',
        'parking_card'               => 'Please enter parking card',
        'key_location_description'        => 'Please enter key location description',
        'access_card_description'        => 'Please enter access card description',
        'parking_card_description'        => 'Please enter parking card description',
        'occupancy'                  => 'Please enter occupancy',
        'agent_present'              => 'Please enter agent present',
        'rejected_id'                => 'Please enter rejected id',
        'rejected_at'                => 'Please select rejected at',
        'reject_reason'              => 'Please enter reject reason',
        'reject_description'         => 'Please enter reject description',
        'created_by'                 => 'Please enter created by',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'ref'                        => 'Ref',
        'slug'                       => 'Slug',
        'photographer_id'            => 'Photographer id',
        'listing_id'                 => 'Listing id',
        'start'                      => 'Start',
        'end'                        => 'End',
        'time_slot'                  => 'Time slot',
        'photographer_start'         => 'Photographer start',
        'photographer_end'           => 'Photographer end',
        'status'                     => 'Status',
        'manager_approval'           => 'Manager approval',
        'category'                   => 'Category',
        'sub_category'               => 'Sub category',
        'location'                   => 'Location',
        'title'                      => 'Title',
        'details'                    => 'Details',
        'admin_comments'             => 'Admin comments',
        'key_location'               => 'Key location',
        'access_card'                => 'Access card',
        'parking_card'               => 'Parking card',
        'key_location_description'        => 'Key location description',
        'access_card_description'        => 'Access card description',
        'parking_card_description'        => 'Parking card description',
        'occupancy'                  => 'Occupancy',
        'agent_present'              => 'Agent present',
        'rejected_id'                => 'Rejected id',
        'rejected_at'                => 'Rejected at',
        'reject_reason'              => 'Reject reason',
        'reject_description'         => 'Reject description',
        'created_by'                 => 'Created by',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    ];
