<?php

namespace Bixo\Photorequest\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Bixo\Photorequest\Models\Photorequest;


class PhotorequestAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'bixo.photorequest.photorequest';
    protected $eventClass = \Bixo\Photorequest\Events\PhotorequestAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Photorequest $photorequest, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $photorequest;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Photorequest $photorequest, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $photorequest = $photorequest->create($attributes);
        return $photorequest;
    }

    public function update(Photorequest $photorequest, array $request)
    {
        $attributes = $request;
        $photorequest->update($attributes);
        return $photorequest;
    }

    public function destroy(Photorequest $photorequest, array $request)
    {
        $photorequest->delete();
        return $photorequest;
    }

    public function copy(Photorequest $photorequest, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $photorequest = $photorequest->replicate();
            $photorequest->created_at = Carbon::now();
            $photorequest->save();
            return $photorequest;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $photorequest->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $photorequest;
    }


}
